## rust-nitrocli 0.2.4

=== Makefile ===
# Makefile

#/***************************************************************************
# *   Copyright (C) 2017-2019 Daniel Mueller (deso@posteo.net)              *
# *                                                                         *
# *   This program is free software: you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation, either version 3 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
# ***************************************************************************/

SHELL := bash

PS2PDF ?= ps2pdf

NITROCLI_MAN := doc/nitrocli.1
NITROCLI_PDF := $(addsuffix .pdf,$(NITROCLI_MAN))

.PHONY: doc
doc: $(NITROCLI_PDF) $(NITROCLI_HTML)

# We assume and do not check existence of man, which, false, and echo
# commands.
$(NITROCLI_PDF): $(NITROCLI_MAN)
	@which $(PS2PDF) &> /dev/null || \
		(echo "$(PS2PDF) command not found, unable to generate documentation"; false)
	@man --local-file --troff $(<) | $(PS2PDF) - $(@)

KEY ?= 0x952DD6F8F34D8B8E

.PHONY: sign
sign:
	@test -n "$(REL)" || \
		(echo "Please set REL environment variable to the release to verify (e.g., '0.2.1')."; false)
	@mkdir -p pkg/
	wget --quiet "https://github.com/d-e-s-o/nitrocli/archive/v$(REL).zip" \
		-O "pkg/nitrocli-$(REL).zip"
	@set -euo pipefail && DIR1=$$(mktemp -d) && DIR2=$$(mktemp -d) && \
		unzip -q pkg/nitrocli-$(REL).zip -d $${DIR1} && \
		git -C $$(git rev-parse --show-toplevel) archive --prefix=nitrocli-$(REL)/ v$(REL) | \
			tar -x -C $${DIR2} && \
		diff -u -r $${DIR1} $${DIR2} && \
		echo "Github zip archive verified successfully" && \
		(rm -r $${DIR1} && rm -r $${DIR2})
	wget --quiet "https://github.com/d-e-s-o/nitrocli/archive/v$(REL).tar.gz" \
		-O "pkg/nitrocli-$(REL).tar.gz"
	@set -euo pipefail && DIR1=$$(mktemp -d) && DIR2=$$(mktemp -d) && \
		tar -xz -C $${DIR1} -f pkg/nitrocli-$(REL).tar.gz && \
		git -C $$(git rev-parse --show-toplevel) archive --prefix=nitrocli-$(REL)/ v$(REL) | \
			tar -x -C $${DIR2} && \
		diff -u -r $${DIR1} $${DIR2} && \
		echo "Github tarball verified successfully" && \
		(rm -r $${DIR1} && rm -r $${DIR2})
	@cd pkg && sha256sum nitrocli-$(REL).tar.gz nitrocli-$(REL).zip > nitrocli-$(REL).sha256.DIGEST
	@gpg --sign --armor --detach-sign --default-key=$(KEY) --yes \
		--output pkg/nitrocli-$(REL).sha256.DIGEST.sig pkg/nitrocli-$(REL).sha256.DIGEST
	@gpg --verify pkg/nitrocli-$(REL).sha256.DIGEST.sig
	@cd pkg && sha256sum --check < nitrocli-$(REL).sha256.DIGEST
	@echo "All checks successful. Please attach"
	@echo "  pkg/nitrocli-$(REL).sha256.DIGEST"
	@echo "  pkg/nitrocli-$(REL).sha256.DIGEST.sig"
	@echo "to https://github.com/d-e-s-o/nitrocli/releases/tag/v$(REL)"

## rust-nitrocli 0.2.2

=== debian/changelog ===
rust-nitrocli (0.2.2-1) unstable; urgency=medium

  * Initial release. Closes: #918069
  * Package nitrocli 0.2.2 from crates.io using debcargo 2.2.9

 -- Robin Krahl <robin.krahl@ireas.org>  Tue, 22 Jan 2019 10:11:31 +0100

=== debian/control ===
Source: rust-nitrocli
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 15),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-argparse-0.2+default-dev (>= 0.2.2-~~),
 librust-base32-0.4+default-dev,
 librust-libc-0.2+default-dev,
 librust-nitrokey-0.3+default-dev,
 librust-nitrokey-sys-dev (>=3.4.3-2)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Robin Krahl <robin.krahl@ireas.org>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/nitrocli]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/nitrocli
Homepage: https://github.com/d-e-s-o/nitrocli

Package: nitrocli
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: command line interface for Nitrokey devices
 nitrocli provides access to the password safe, the encrypted storage and the
 one-time password generator on Nitrokey Pro and Nitrokey Storage devices.  It
 can also be used to manage the device configuration and PINs.
 .
 This package contains the following binaries built from the Rust crate
 "nitrocli":
  - nitrocli

## rust-nitrocli 0.2.3

=== debian/changelog ===
rust-nitrocli (0.2.3-1) unstable; urgency=medium

  * Add gnupg-agent as a recommended dependency.
  * Package nitrocli 0.2.3 from crates.io using debcargo 2.2.10

 -- Robin Krahl <robin.krahl@ireas.org>  Mon, 25 Feb 2019 08:03:50 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  librust-argparse-0.2+default-dev (>= 0.2.2-~~),
  librust-base32-0.4+default-dev,
  librust-libc-0.2+default-dev,
- librust-nitrokey-0.3+default-dev,
+ librust-nitrokey-0.3+default-dev (>= 0.3.1-~~),
  librust-nitrokey-sys-dev (>=3.4.3-2)
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
@@ -27,7 +27,8 @@
  ${shlibs:Depends},
  ${cargo:Depends}
 Recommends:
- ${cargo:Recommends}
+ ${cargo:Recommends},
+ gnupg-agent
 Suggests:
  ${cargo:Suggests}
 Provides:

## rust-nitrocli 0.2.4

=== debian/changelog ===
rust-nitrocli (0.2.4-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Update relax-base32 patch to include code adjustments

 -- Nadzeya Hutsko <nadzya.info@gmail.com>  Tue, 12 Aug 2025 18:01:26 +0200

rust-nitrocli (0.2.4-3) experimental; urgency=medium

  * Team upload.
  * Relax base32 dependency to 0.5

 -- Nadzeya Hutsko <nadzya.info@gmail.com>  Thu, 17 Jul 2025 20:14:14 +0200

rust-nitrocli (0.2.4-2) unstable; urgency=medium

  * Team upload.
  * Package nitrocli 0.2.4 from crates.io using debcargo 2.5.0
  * Rebuild against new rand stack.
  * Force debhelper compat level to 11, compat 12 (introduced by new debcargo)
    causes a FTBFS.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 05 Feb 2022 13:03:01 +0000

rust-nitrocli (0.2.4-1) unstable; urgency=medium

  * Package nitrocli 0.2.4 from crates.io using debcargo 2.2.10

 -- Robin Krahl <robin.krahl@ireas.org>  Sun, 07 Jul 2019 19:24:27 +0200

=== debian/control ===
Source: rust-nitrocli
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 librust-nitrokey-sys-dev (>=3.4.3-2)
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-argparse-0.2+default-dev (>= 0.2.2-~~),
 librust-base32-0.5+default-dev,
 librust-libc-0.2+default-dev,
 librust-nitrokey-0.3+default-dev (>= 0.3.1-~~)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Robin Krahl <robin.krahl@ireas.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/nitrocli]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/nitrocli
Homepage: https://github.com/d-e-s-o/nitrocli
X-Cargo-Crate: nitrocli
Rules-Requires-Root: no

Package: nitrocli
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends},
 gpg-agent
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: command line interface for Nitrokey devices
 nitrocli provides access to the password safe, the encrypted storage and the
 one-time password generator on Nitrokey Pro and Nitrokey Storage devices.  It
 can also be used to manage the device configuration and PINs.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/nitrocli-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/nitrocli .*/crates/nitrocli/@ANY_VERSION@/download
